set OSGEO4W_ROOT=C:\OSGeo4W
set P=liblwgeom
set V=2.1.0
set B=1

set R=..\..\..\x86\release\%P%
mkdir %R%

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" x86
echo on
path %pf%\Microsoft Visual Studio 10.0\Common7\IDE;%PATH%;c:\cygwin\bin

copy makefile.vc ..\liblwgeom
copy postgis_config.h.vc ..\postgis_config.h
copy liblwgeom.h.vc ..\liblwgeom\liblwgeom.h

cd ..\liblwgeom

set INCLUDE=%OSGEO4W_ROOT%\include;%INCLUDE%
set LIB=%OSGEO4W_ROOT%\lib;%LIB%

if not exist ..\osgeo4w\patched (
	patch -p1 <..\osgeo4w\liblwgeom.diff
	echo >..\osgeo4w\patched
)

nmake /f makefile.vc clean
if errorlevel 1 (echo make clean error ^ goto error)

nmake /f makefile.vc
if errorlevel 1 (echo make error ^ goto error)

cd ..\osgeo4w

copy setup.hint %R%\setup.hint
copy ..\COPYING %R%\%P%-%V%-%B%.txt
if not exist bin mkdir bin
if not exist include mkdir include
if not exist lib mkdir lib
copy ..\liblwgeom\lwgeom.dll bin
copy ..\liblwgeom\liblwgeom.h include
copy ..\liblwgeom\liblwgeom.lib lib
copy ..\liblwgeom\lwgeom.lib lib
copy ..\liblwgeom\lwgeom_i.lib lib

tar -cjf %R%\%P%-%V%-%B%.tar.bz2 bin include lib
if errorlevel 1 (echo tar error ^ goto error)

tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 ^
	osgeo4w/liblwgeom.diff ^
	osgeo4w/liblwgeom.h.vc ^
	osgeo4w/makefile.vc ^
	osgeo4w/package32.cmd ^
	osgeo4w/postgis_config.h.vc ^
	osgeo4w/setup.hint ^
	osgeo4w/unistd.h
if errorlevel 1 (echo src tar error ^ goto error)

:error
